-- 基础信息
base_info = {
	group_id = 250032037
}

-- Trigger变量
defs = {
	group_id = 250032037,
	challange_group_id = 250032031,
	monster_points = 1,
	max_points = 100,
	gear_list = {70350107,70350099,70350100,70350101,70350102,70350103},
	option_list = {41,42,43,44,45},
	option_points = {20,20,20,20,20},
	fundation_id = 70350145
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 37001, gadget_id = 70350145, pos = { x = -17.289, y = -0.349, z = -75.385 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37002, gadget_id = 70350145, pos = { x = -17.271, y = -0.347, z = -68.320 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37003, gadget_id = 70350145, pos = { x = -17.406, y = -0.350, z = -61.549 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37004, gadget_id = 70350145, pos = { x = 8.345, y = -4.139, z = -71.793 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37005, gadget_id = 70350145, pos = { x = 8.214, y = -4.161, z = -64.103 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37006, gadget_id = 70350145, pos = { x = 15.001, y = -4.149, z = -71.592 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37007, gadget_id = 70350145, pos = { x = 14.894, y = -4.158, z = -64.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37008, gadget_id = 70350145, pos = { x = 22.511, y = -4.150, z = -85.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37009, gadget_id = 70350145, pos = { x = 31.307, y = -4.150, z = -85.460 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37010, gadget_id = 70350145, pos = { x = 21.329, y = -4.147, z = -50.126 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37011, gadget_id = 70350145, pos = { x = 31.432, y = -4.149, z = -50.688 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37012, gadget_id = 70350145, pos = { x = 26.542, y = -4.147, z = -81.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37013, gadget_id = 70350145, pos = { x = 12.601, y = -4.150, z = -81.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37014, gadget_id = 70350145, pos = { x = 40.587, y = -4.154, z = -82.043 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37015, gadget_id = 70350145, pos = { x = 25.590, y = -4.148, z = -53.415 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37016, gadget_id = 70350145, pos = { x = 12.564, y = -4.150, z = -53.159 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37017, gadget_id = 70350145, pos = { x = 38.227, y = -4.135, z = -72.515 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37018, gadget_id = 70350145, pos = { x = 38.441, y = -4.162, z = -64.259 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37019, gadget_id = 70350145, pos = { x = 42.838, y = -4.161, z = -68.651 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 37020, gadget_id = 70350145, pos = { x = 40.284, y = -4.137, z = -53.063 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 37021, pos = { x = -17.289, y = -0.349, z = -75.385 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37022, pos = { x = -17.271, y = -0.347, z = -68.320 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37023, pos = { x = -17.406, y = -0.350, z = -61.549 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37024, pos = { x = 8.345, y = -4.139, z = -71.793 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37025, pos = { x = 8.214, y = -4.161, z = -64.103 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37026, pos = { x = 15.001, y = -4.149, z = -71.592 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37027, pos = { x = 14.894, y = -4.158, z = -64.187 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37028, pos = { x = 22.511, y = -4.150, z = -85.478 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37029, pos = { x = 31.307, y = -4.150, z = -85.460 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37030, pos = { x = 21.329, y = -4.147, z = -50.126 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37031, pos = { x = 31.432, y = -4.149, z = -50.688 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37032, pos = { x = 26.542, y = -4.147, z = -81.678 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37033, pos = { x = 12.601, y = -4.150, z = -81.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37034, pos = { x = 40.587, y = -4.154, z = -82.043 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37035, pos = { x = 25.590, y = -4.148, z = -53.415 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37036, pos = { x = 12.564, y = -4.150, z = -53.159 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37037, pos = { x = 38.227, y = -4.135, z = -72.515 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37038, pos = { x = 38.441, y = -4.162, z = -64.259 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37039, pos = { x = 42.838, y = -4.161, z = -68.651 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 37040, pos = { x = 40.284, y = -4.137, z = -53.063 }, rot = { x = 0.000, y = 0.000, z = 0.000 } }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Gear"
